Subject: Re: 'less' can not find dll
From: MEA-MikeFriedrichs <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 27 Feb 2004 22:29:25 -0600

At 04:55 PM 02/27/2004, Brian Dessent wrote:
>MEA-MikeFriedrichs wrote:
>
> > This is my error that Win2k reports when I try to use 'less'.
> >
> > Event Type:     Information
> > Event Source:   Application Popup
> > Event Category: None
> > Event ID:       26
> > Date:           2/26/2004
> > Time:           11:16:30 AM
> > User:           N/A
> > Computer:       MEA2
> > Description:
> > Application popup: less.exe - Unable To Locate DLL : The dynamic link
> > library cygpcre-0.dll could not be found in the specified path
> > 
> f:\cygwin\bin;.;C:\WINNT\system32;C:\WINNT\system;C:\WINNT;f:\cygwin\usr\local\bin;f:\cygwin\bin;f:\cygwin\bin;f:\cygwin\usr\X11R6\bin;c:\WINNT\system32;c:\WINNT;c:\WINNT\System32\Wbem;c:\Program
> > Files\Common Files\Autodesk Shared\;f:\win2k\bin\matlab\bin\win32.
>
>
>I don't see why this thread has ballooned into such an ordeal.  Run
>setup.exe.  Install the "libpcre0" package, which is a library on which
>'less' depends.  That's all that is required, and that's what the output
>of the "Package search" page is telling you.  The other posters were
>trying to point you in a direction so that you could figure that out for
>yourself so you wouldn't have to ask next time.  "Teach a man to fish"
>and all that.
>
>As far as setup.exe is concerned, it should have installed this package
>for you.  The setup.hint for the 'less' package includes the line:
>
>requires: cygwin termcap libpcre0
>
>Which means that if you select 'less' then setup.exe should also select
>'libpcre0' and 'termcap', unless you override it.  Can someone verify
>that this works, please?
>
>Brian

I cleaned out my cygwin directory and did a clean install. Still no 
'cygpcre-0.dll'.

I was able to get 'less' working by copying '/bin/cygpcre.dll' to 
'/bin/cygpcre-0.dll'.

Thanks for everyone's help.

MikeF

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/